# MPE_Draw_string

Draw a text string

## Synopsis

    #include "mpe.h"
    int MPE_Draw_string( graph, x, y, color, string )
    MPE_XGraph graph;
    int x, y;
    MPE_Color color;
    char *string;

## Input Parameters

| graph | MPE graphics handle
| x | x-coordinate of the origin of the string
| y | y-coordinate of the origin of the string
| color | color of the text
| string | text string to be drawn

## Notes For Fortran Interface

The Fortran interface to this routine is different from its C counterpart and it has an additional argument, ierr, at the end of the argument list, i.e. the returned function value (the error code) in C interface is returned as the additional argument in Fortran interface. The Fortran interface is invoked with the CALL statement.

All MPI and MPE objects, MPI_Comm, MPE_XGraph and MPE_Color, are of type INTEGER in Fortran.

## Additional Notes for Fortran Interface

The trailing blanks in Fortran CHARACTER string argument will be ignored.

Location:mpe_graphics.c